//---------------------------------------------------------------------------

#ifndef CustomerH
#define CustomerH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DB.hpp>
#include <DBCtrls.hpp>
#include <DBGrids.hpp>
#include <DBTables.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
//---------------------------------------------------------------------------
class TCustomerForm : public TForm
{
__published:	// IDE-managed Components
        TDataSource *DataSource1;
        TQuery *Query1;
        TStringGrid *ReSG;
        TEdit *ShEd;
        TButton *ShBt;
        TGroupBox *GroupBox1;
        TLabeledEdit *GBarEd;
        TLabel *Label1;
        TLabeledEdit *GNameEd;
        TLabel *Label2;
        TLabeledEdit *GJuminEd;
        TLabeledEdit *GPhoneEd;
        TButton *GBt;
        void __fastcall ShBtClick(TObject *Sender);
        void __fastcall FormActivate(TObject *Sender);
        void __fastcall ReSGKeyPress(TObject *Sender, char &Key);
        void __fastcall ReSGKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall ReSGDblClick(TObject *Sender);
        void __fastcall FormResize(TObject *Sender);
        void __fastcall GBtClick(TObject *Sender);
        void __fastcall GBarEdChange(TObject *Sender);
        void __fastcall GJuminEdChange(TObject *Sender);
        void __fastcall ShEdKeyPress(TObject *Sender, char &Key);
private:	// User declarations
public:		// User declarations
        __fastcall TCustomerForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TCustomerForm *CustomerForm;
//---------------------------------------------------------------------------
#endif
